# The Withdraw Incentives Action

*Note*: The withdraw incentives action code be found [here](https://github.com/DIG-Network/reward-distributor-clsp/blob/main/rue-puzzles/actions/reward_distributor/withdraw_incentives.rue) ([Chialisp](https://github.com/DIG-Network/reward-distributor-clsp/blob/main/puzzles/actions/reward_distributor/withdraw_incentives.clsp)).

Users that committed incentives to a future epoch can call this action to 'claw back' their commitment. This is done by sending a message from the `clawback_ph` specified when the rewards were committed, which is assumed to be a custody puzzle (hence, the refund will be sent to the same puzzle).

The action does not create a puzzle announcement. Instead, the user must send a puzzle-puzzle (18) message to the Reward Distributor with no contents. If the user has multiple commitments, they should assert that the correct commitment slot is spent - commitment slots are only spent when commitments are clawed back.

*Written by* [*yakuhito*](https://x.com/yakuhito) *from* [*FireAcademy.io*](https://fireacademy.io/) *on Feb 16th, 2025.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xchandles.com/techincal-manual/reward-distributors/the-withdraw-incentives-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
